MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028350Open CASCADE[OCCT] OCCT:DRAWpublic2017-01-12 16:482017-09-29 16:24
Reporternbv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028350: Draw Harness - DRAWEXE hangs up immediatly when redirecting input stream on Windows
DescriptionIf we call DRAWEXE with a pipeline then we have hanging.
Steps To ReproduceTry in command window:

"draw.bat" - OK

"echo pload;exit | draw.bat" - HANGING
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028110closedapn Configuration - specify Unicode charset instead of multibyte in project files for Visual Studio 
related to 0028381closedapn Draw Harness - DRAWEXE still hangs up immediatly when redirecting input stream on Windows 

-  Notes
(0062542)
nbv (developer)
2017-01-12 16:55

This bug has been detected while running draw.bat via EMACS (or WOK).

The problem has been initiated by the fix 0028110.
(0062559)
aml (developer)
2017-01-13 07:47

The problem is reproducible on my workstation too:

Windows: 10, 64 bit
MSVC: 2015 Professional
OCCT: master from 2016-12-29
Environment: WOK Emacs

Hang log:
:LOC:dev:master> vc12-x64/draw.bat
Hint: use "pload ALL" command to load standard commands
Draw[1]> pload AL
(0062601)
git (administrator)
2017-01-15 14:43

Branch CR28350 has been created by kgv.

SHA-1: 3d76a2fdd320bf273565e3519eae566f1c384efe


Detailed log of new commits:

Author: kgv
Date: Sun Jan 15 14:43:41 2017 +0300

    0028350: Draw Harness - DRAWEXE hangs up immediatly when redirecting input stream on Windows
    
    Fallback using fgetws() instead of ReadConsoleW() for reading input from a pipe.
(0062602)
kgv (developer)
2017-01-15 14:44

Patch is ready for review.
(0062611)
git (administrator)
2017-01-16 11:10

Branch CR28350 has been updated forcibly by kgv.

SHA-1: d38691ad54f862149f5ad5d0108da48b5bc0012d
(0062612)
abv (manager)
2017-01-16 11:13

No remarks, please test
(0062701)
apv (tester)
2017-01-17 14:24

Dear BugMaster,

Branch CR28350 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d38691ad54f862149f5ad5d0108da48b5bc0012d

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1124

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92992723 / 92922377 [+0.08%]
Total CPU difference: 21054.58000000016 / 21506.1200000003 [-2.10%]

Testing on Windows:
Total MEMORY difference: 58632144 / 58649007 [-0.03%]
Total CPU difference: 19516.645505898618 / 19749.742200098677 [-1.18%]
(0063610)
git (administrator)
2017-02-08 11:36

Branch CR28350 has been deleted by kgv.

SHA-1: d38691ad54f862149f5ad5d0108da48b5bc0012d

- Related Changesets
occt: master 7755fe82
Timestamp: 2017-01-15 11:43:41
Author: kgv
Committer: apn
Details ] Diff ]
0028350: Draw Harness - DRAWEXE hangs up immediatly when redirecting input stream on Windows

Fallback using fgetws() instead of ReadConsoleW() for reading input from a pipe.
mod - src/Draw/Draw_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-12 16:48 nbv New Issue
2017-01-12 16:48 nbv Assigned To => apn
2017-01-12 16:53 nbv Relationship added related to 0028110
2017-01-12 16:55 nbv Note Added: 0062542
2017-01-13 07:47 aml Note Added: 0062559
2017-01-13 10:57 msv Steps to Reproduce Updated View Revisions
2017-01-15 14:40 kgv Platform => Windows
2017-01-15 14:40 kgv Product Version => 7.2.0
2017-01-15 14:40 kgv Summary DRAWEXE hangs up immediatly after executing => Draw Harness - DRAWEXE hangs up immediatly when redirecting input stream on Windows
2017-01-15 14:43 git Note Added: 0062601
2017-01-15 14:44 kgv Note Added: 0062602
2017-01-15 14:44 kgv Assigned To apn => abv
2017-01-15 14:44 kgv Status new => resolved
2017-01-16 11:10 git Note Added: 0062611
2017-01-16 11:13 abv Note Added: 0062612
2017-01-16 11:13 abv Assigned To abv => bugmaster
2017-01-16 11:13 abv Status resolved => reviewed
2017-01-16 17:36 apv Assigned To bugmaster => apv
2017-01-17 13:53 apv Test case number => Not needed
2017-01-17 14:24 apv Note Added: 0062701
2017-01-17 14:24 apv Assigned To apv => bugmaster
2017-01-17 14:24 apv Status reviewed => tested
2017-01-20 16:12 apn Changeset attached => occt master 7755fe82
2017-01-20 16:12 apn Assigned To bugmaster => apn
2017-01-20 16:12 apn Status tested => verified
2017-01-20 16:12 apn Resolution open => fixed
2017-01-23 11:08 nbv Relationship added related to 0028381
2017-02-08 11:36 git Note Added: 0063610
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker